# Record TCefBaseRefCounted

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefBaseRefCounted = record`

## Description

All ref-counted framework structures must include this structure first.

Implemented by ICefBaseRefCounted.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_base_capi.h">CEF source file: /include/capi/cef_base_capi.h (cef_base_ref_counted_t))

## Overview

### Fields

| `size: NativeUInt;`
| `add_ref: procedure(self: PCefBaseRefCounted); stdcall;`
| `release: function(self: PCefBaseRefCounted): Integer; stdcall;`
| `has_one_ref: function(self: PCefBaseRefCounted): Integer; stdcall;`
| `has_at_least_one_ref: function(self: PCefBaseRefCounted): Integer; stdcall;`

## Description

### Fields

| `size: NativeUInt;`
This item has no description.

| `add_ref: procedure(self: PCefBaseRefCounted); stdcall;`
This item has no description.

| `release: function(self: PCefBaseRefCounted): Integer; stdcall;`
This item has no description.

| `has_one_ref: function(self: PCefBaseRefCounted): Integer; stdcall;`
This item has no description.

| `has_at_least_one_ref: function(self: PCefBaseRefCounted): Integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.